Subject: Re: [PATCH v2] git-checkout.txt: Document "git checkout <pathspec>" better

From: Junio C Hamano <[email-masked]>
Date: Wed, 17 Jun 2015 08:29:54 -0700

Matthieu Moy <[email-masked]> writes:

> Yes, but "Switch branchs or discard local changes" still does not
> describe "git checkout HEAD^^^ -- file.txt" (restore to an old state,
> but does not switch branch) or "git checkout -- file.txt" (get from the
> index).

You are right, especially when file.txt does not have any change
relative to HEAD, there is no "discarding" going on.  You are
actively introducing a change to an unchanged file by checking
contents out of a different revision.

> To me, "discard local changes" imply that there will be no uncommited
> changes on the files implied in the command after the operation.

Yup.